﻿/*Estilos 2025*/
:root {
    /* =========================
       TIPOGRAFÍA
    ========================= */
    --font-family-Font-1: "Segoe UI";
    --font-size-24: 24px;
    --item-spacing-s: 16px;
    --line-height-28_8: 28.8px;
    --accordion-collapse-button-icon-size-medium: 20px;
    --accordion-collapse-button-icon-size-small: 16px;
    /* =========================
       COLORES
    ========================= */
    --color-black-solid: #000;
    --color-white-solid: #FFF;
    --color-cyan-56: #6FA5B1;
    --color-azure-34: #0260A9;
    /* =========================
       BOTONES – COLORES
    ========================= */
    --button-color-contained-primary-normal-bg: #0F6CBD;
    --button-color-contained-primary-normal-text: #FFFFFE;
    --button-color-contained-primary-normal-border: rgba(255, 255, 254, 0.00);
    /* =========================
       BOTONES – BORDES
    ========================= */
    --button-border-radius-small: 2px;
    --button-border-radius-medium: 4px;
    --button-border-radius-large: 2.469px;
    --button-border-width-small: 1px;
    --button-border-width-medium: 1px;
    --button-border-width-large: 0.617px;
    /* =========================
       BOTONES – LAYOUT
    ========================= */
    --button-layout-inner-box-medium-vertical: 5px;
    --button-layout-inner-box-medium-horizontal: 12px;
    --button-layout-inner-box-medium-gap: 4px;
    --button-layout-inner-box-large-vertical: 4.321px;
    --button-layout-inner-box-large-horizontal: 9.878px;
    --button-layout-inner-box-large-gap: 1.235px;
    /* =========================
       BOTONES – TIPOGRAFÍA
    ========================= */
    --button-typography-default-medium-font-family: "Segoe UI";
    --button-typography-default-medium-font-size: 14px;
    --button-typography-default-medium-font-weight: 600;
    --button-typography-default-medium-line-height: 20px;
    /* =========================
       FILTER / LABELS
    ========================= */
    --filter-builder-label-color-text: #161616;
    --filter-builder-label-typography-medium-font-family: "Segoe UI";
    --filter-builder-label-typography-small-font-size: 12px;
    --filter-builder-label-typography-medium-line-height: 20px;
    /* =========================
       DEGRADADOS
    ========================= */
    --Degradado-2: linear-gradient( 180deg, var(--color-white-solid) 31.25%, var(--color-cyan-56) 100% );
}

h3 {
    color: #000;
    text-align: center;
    font-family: var(--font-family-Font-1, "Segoe UI");
    font-size: var(--font-size-24, 24px);
    font-style: normal;
    font-weight: 700;
    line-height: var(--line-height-28_8, 28.8px); /* 120% */
}

label {
    color: var(--color-black-solid, #000);
    font-family: var(--font-family-Font-1, "Segoe UI");
    font-size: var(--item-spacing-s, 16px);
    font-style: normal;
    font-weight: 600;
    line-height: var(--font-size-24, 24px); /* 150% */
}

input {
    border-radius: 4px 0 0 4px;
    border: 1px solid #E9ECEF;
    background: #FFF !important;
}

.input-icon {
    position: absolute;
    right: 15px;
    top: 67%;
    transform: translateY(-50%);
    pointer-events: none; /* El icono no bloquea el click del input */
}

    .input-icon svg {
        width: 20px;
        height: 20px;
        opacity: 0.6;
    }


/* Botones DevExtreme */
.button_DevExtreme {
    background-color: #33454a !important;
    color: #ffffff !important;
    transition: all 0.3s ease;
}

    .button_DevExtreme:hover {
        background-color: #0F6CBD !important;
        color: #ffffff !important;
    }

    .button_DevExtreme:active {
        background-color: #18A597 !important;
        color: #ffffff !important;
    }

/* Mejora visual del card */
.login-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 100px;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: 16px var(--accordion-collapse-button-icon-size-small, 16px) 16px 16px;
    background: rgba(255, 255, 255, 0.70);
    box-shadow: 0 8px 12px 6px rgba(0, 0, 0, 0.15), 0 4px 4px 0 rgba(0, 0, 0, 0.30);
}

/* Inputs en focus */



.form-control:focus {
    border-color: #18A597;
    box-shadow: 0 0 0 0.2rem rgba(24, 165, 151, 0.25);
}

.form-check-input {
    appearance: auto !important;
    -webkit-appearance: checkbox !important;
    opacity: 1 !important;
}

    .form-check-input:checked {
        background-color: #0d6efd !important; /* azul bootstrap */
        border-color: #0d6efd !important;
    }

.inside-eye {
    position: absolute;
    right: 15px;
    top: 67%;
    transform: translateY(-50%);
    cursor: pointer;
    /* ***IMPORTANTE*** */
    display: flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
}

    .inside-eye svg {
        width: 20px;
        height: 20px;
    }



.btn-ingresar {
    border-radius: var(--button-border-radius-medium, 4px);
    border: var(--button-border-width-medium, 1px) solid var(--button-color-contained-primary-normal-border, rgba(255, 255, 254, 0.00));
    background: var(--button-color-contained-primary-normal-bg, #0F6CBD) !important;
    display: flex;
    padding: var(--button-layout-inner-box-medium-vertical, 5px) var(--button-layout-inner-box-medium-horizontal, 12px);
    justify-content: center;
    align-items: center;
    gap: var(--button-layout-inner-box-medium-gap, 4px);
    color: var(--button-color-contained-primary-normal-text, #FFFFFE) !important;
    text-align: center;
    font-family: var(--button-typography-default-medium-font-family, "Segoe UI");
    font-size: var(--button-typography-default-medium-font-size, 14px);
    font-style: normal;
    font-weight: var(--button-typography-default-medium-font-weight, 600);
    line-height: var(--button-typography-default-medium-line-height, 20px); /* 142.857% */
}

.btn:hover {
    background: #0c5ca1 !important;
}

#btn-sxesion:hover {
    background: #ffffff !important;
    border: 1px #0000;
    border: 1px solid #ced4da;
    /* padding: 29px; */
    width: 155px;
    color: #0f6cbd !important;
    border-radius: 6px;
}

.back-resp {
    min-height: 100vh !important;
}


.btn-close {
    width: 5px;
    height: 5px;
}
/*Modal cerrar sesion*/

.modal-header {
    border-bottom: none !important;
}

.modal-body {
    border-bottom-left-radius: calc(.3rem - 1px);
    border-bottom-right-radius: calc(.3rem - 1px);
}

.alert {
    color: #000;
    text-align: center;
    font-family: var(--font-family-Font-1, "Segoe UI");
    font-size: var(--item-spacing-s, 16px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--accordion-collapse-button-icon-size-medium, 20px); /* 125% */
}

.complete {
    color: var(--color-black-solid, #000);
    font-family: var(--filter-builder-label-typography-medium-font-family, "Segoe UI");
    font-size: var(--filter-builder-label-typography-small-font-size, 12px);
    font-style: normal;
    font-weight: 400;
    line-height: var(--filter-builder-label-typography-medium-line-height, 20px); /* 166.667% */
}

.closesion {
    border-radius: 16px;
    border: 0.5px solid #898989;
    background: var(--Degradado-2, linear-gradient(180deg, var(--color-white-solid, #FFF) 31.25%, var(--color-cyan-56, #6FA5B1) 100%));
    /* M3/Elevation Dark/2 */
    box-shadow: 0 2px 6px 2px rgba(0, 0, 0, 0.15), 0 1px 2px 0 rgba(0, 0, 0, 0.30);
}

.h1-modal {
    color: var(--filter-builder-label-color-text, #161616);
    text-align: center;
    font-family: var(--filter-builder-label-typography-medium-font-family, "Segoe UI");
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 28.347px;
}

.custom-body {
    background: #d3d3d3;
    padding: 40px;
}


.btn-cerrar {
    padding: var(--button-layout-inner-box-large-vertical, 4.321px) var(--button-layout-inner-box-large-horizontal, 9.878px);
    justify-content: center;
    align-items: center;
    gap: var(--button-layout-inner-box-large-gap, 1.235px);
    border-radius: var(--button-border-radius-large, 2.469px);
    border: var(--button-border-width-large, 0.617px) solid var(--button-color-contained-primary-normal-border, rgba(255, 255, 254, 0.00));
    background: var(--button-color-contained-primary-normal-bg, #0F6CBD);
}
/* Labels */
.form-label-custom {
    display: block;
    font-weight: 600;
    margin-bottom: 5px;
    margin-top: 20px;
}

.input-wrapper {
    position: relative;
    width: 100%;
}

    .input-wrapper input {
        padding-right: 45px !important;
    }

.toggle-pass {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}


.icon-input {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 18px;
    color: #444;
}

/* Botón */
.btn-custom {
    width: 120px;
    border-radius: 6px;
}

/* Mensaje */
.msg {
    color: #18A597;
    margin-top: 10px;
}


/*modal recuperar contra*/

.input-wrapper {
    position: relative;
    width: 100%;
}

.input-custom {
    padding-right: 45px !important;
    height: 50px;
    font-size: 17px;
}

#modalCancelarSinLogin .input-icon {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    cursor: default;
    opacity: 0.7;
}


.btn-light-cancelar {
    padding: var(--button-layout-inner-box-medium-vertical, 5px) var(--button-layout-inner-box-medium-horizontal, 12px);
    justify-content: center;
    align-items: center;
    gap: var(--button-layout-inner-box-medium-gap, 4px);
    border-radius: var(--button-border-radius-medium, 4px);
    background: var(--color-white-solid, #FFF);
    color: var(--color-azure-34, #0260A9);
    text-align: center;
    font-family: var(--button-typography-default-medium-font-family, "Segoe UI");
    font-size: var(--button-typography-default-medium-font-size, 14px);
    font-style: normal;
    font-weight: var(--button-typography-default-medium-font-weight, 600);
    line-height: var(--button-typography-default-medium-line-height, 20px); /* 142.857% */
}

/*Modales ventanas emergentes*/


/*Pop up ventanas*/
.Titulopopup {
    color: #0260A9;
    font-family: Segoe UI;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 150%;
}

.Textpopup {
    color: #000;
    font-family: var(--font-family-Font-1, "Segoe UI");
    font-size: var(--item-spacing-s, 16px);
    font-style: normal;
    font-weight: var(--font-weight-400, 400);
    line-height: var(--accordion-collapse-button-icon-size-medium, 20px); /* 125% */
}
.btnpop-up {
    border-radius: var(--button-border-radius-small, 4px);
    border: var(--button-border-width-small, 1px) solid var(--color-azure-34, #0260A9);
    background: var(--color-white-solid, #FFF);
    color: var(--color-azure-34, #0260A9);
    text-align: center;
    font-family: var(--button-typography-default-small-font-family, "Segoe UI");
    font-size: var(--button-typography-default-small-font-size, 12px);
    font-style: normal;
    font-weight: var(--button-typography-default-small-font-weight, 400);
    line-height: var(--button-typography-default-small-line-height, 16px); /* 133.333% */
}
/* Contenido del modal (estilos visuales) */
.modal-style-login,
.modal-style-correo {
    border-radius: 25px;
    padding-bottom: 50px;
    background: linear-gradient(to bottom, #ffffff, #b6d4db);
    position: relative;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.25);
}

.modal-dialog-login,
.modal-dialog-correo {
    max-width: 500px !important; /* el tamaño del modal */
    margin: auto; /* centrado horizontal */
}

/* Asegura centrado vertical */
.modal-login-success .modal-dialog,
.modal-correo-success .modal-dialog {
    display: flex;
    align-items: center;
    min-height: 100vh;
}

/* Botones cerrar */
.close-login,
.close-correo {
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 22px !important;
    opacity: 1;
}

.close-login {
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 20; /* asegura que quede arriba */
}


/*Modal Datos requeridos*/

.dx-toolbar.dx-widget.dx-visibility-change-handler.dx-collection.dx-popup-title {
    top: 22px !important;
    left: 28%;
}

.dx-popup-wrapper > .dx-overlay-content {
    border-radius: 16px !important;
    border: 0.5px solid #898989;
    background: var(--Degradado-2, linear-gradient(180deg, var(--color-white-solid, #FFF) 31.25%, var(--color-cyan-56, #6FA5B1) 100%)) !important;
    box-shadow: 0 2px 6px 2px rgba(0, 0, 0, 0.15), 0 1px 2px 0 rgba(0, 0, 0, 0.30) !important;
}

.dx-button-content {
    font-weight: var(--button-typography-default-medium-font-weight, 600);
    border-radius: var(--button-border-radius-medium, 4px);
    border: var(--button-border-width-medium, 1px) solid var(--button-color-contained-primary-normal-border, rgba(255, 255, 254, 0.00));
    background: var(--button-color-contained-primary-normal-bg, #0F6CBD);
    border-style: none !important;
}

.dx-button {
    color: white !important;
    border-style: none !important;
}

.dx-popup-wrapper > .dx-overlay-content {
    border: none;
}

.dx-toolbar-label > div {
    font-weight: bold;
}

/* Oculta el ícono de mostrar contraseña de Microsoft Edge */
input::-ms-reveal,
input::-ms-clear {
    display: none;
}

.svg-inline--fa.fa-w-16 {
    mask: url("/Images/warning.png");
    -webkit-mask: url("/Images/warning.png") no-repeat center;
    background-color: #FF9500;
  
    left: 41%;
}

.dx-popover-wrapper .dx-popover-arrow::after, .dx-popover-wrapper.dx-popover-without-title .dx-popover-arrow::after {
    background: #d8e7eb !important;
}

.dx-popup-title.dx-toolbar {
    top: 78px;
    left: 34%;
    margin-bottom: -9px;
}

}

.dx-texteditor.dx-editor-outlined {
    border: none !important;
}

.dx-texteditor-input {
    border: none !important;
}

.dx-popup-flex-height .dx-popup-content {
    color: #000 !important;
    font-family: var(--font-family-Font-1, "Segoe UI") !important;
    font-size: var(--item-spacing-s, 16px) !important;
    font-style: normal !important;
    font-weight: 400 !important;
    line-height: var(--accordion-collapse-button-icon-size-medium, 20px) !important;
}

.dx-popup-title {
    border-bottom: none !important;
}

.dx-button .dx-button-content {
    border-radius: var(--button-border-radius-medium, 8px) !important;
    background: white;
}


/* Cambiar contraseña */
.btn-cambiar-contra .dx-button-content {
    border-radius: var(--button-border-radius-medium, 4px);
    border: var(--button-border-width-medium, 1px) solid var(--button-color-contained-primary-normal-border, rgba(255, 255, 254, 0.00));
    background: var(--button-color-contained-primary-normal-bg, #0F6CBD);
    color: white;
}

/* Cancelar */
.btn-cancelar-contra .dx-button-content {
    border-radius: var(--button-border-radius-medium, 4px);
    background: var(--color-white-solid, #FFF);
    border: 1px solid #CCC; /* opcional */
    color: black;
}


.dx-button-has-text .dx-button-content {
    border-radius: var(--button-border-radius-medium, 4px);
    border: var(--button-border-width-medium, 1px) solid var(--button-color-contained-primary-normal-border, rgba(255, 255, 254, 0.00));
    text-align: center;
    font-family: var(--button-typography-default-medium-font-family, "Segoe UI");
    font-size: var(--button-typography-default-medium-font-size, 14px);
    font-style: normal;
    font-weight: var(--button-typography-default-medium-font-weight, 600);
    line-height: var(--button-typography-default-medium-line-height, 20px); /* 142.857% */
    color: #0F6CBD;
    border-radius: 7px;
    box-shadow: var(--button-box-shadow-contained-secondary-first-shadow-x, 0) var(--button-box-shadow-contained-secondary-first-shadow-y, 0) var(--button-box-shadow-contained-secondary-first-shadow-blur, 0) var(--button-box-shadow-contained-secondary-first-shadow-spread, 0) var(--button-box-shadow-contained-secondary-first-shadow-color, rgba(0, 0, 0, 0.00)), var(--button-box-shadow-contained-secondary-second-shadow-x, 0) var(--button-box-shadow-contained-secondary-second-shadow-y, 0) var(--button-box-shadow-contained-secondary-second-shadow-blur, 0) var(--button-box-shadow-contained-secondary-second-shadow-spread, 0) var(--button-box-shadow-contained-secondary-second-shadow-color, rgba(0, 0, 0, 0.00));
}




.fa-exclamation-circle {
    color: #FF9500 !important;
}
/*buscador en todo*/
input.form-control.border-start-0.border-end-0 {
    border-radius: 0px;
}

.dropstart .dropdown-menu[data-bs-popper] {
    top: 38px !important;
    right: 0% !important;
    left: auto;
    margin-top: 0;
    margin-right: 0.125rem;
    background: #DDEFEE !important;
}

/*modal Datos Pacientes*/

/* Offcanvas completo */
#offcanvas_InfoPacientes {
    background: rgba(2, 96, 169, 0.25) !important;
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border-left: 1px solid rgba(255, 255, 255, 0.25);
}

    /* Evita que el body tenga fondo sólido */
    #offcanvas_InfoPacientes .offcanvas-body,
    #offcanvas_InfoPacientes .offcanvas-header {
        background: transparent !important;
    }

ul.custom-tabs.nav-pills .nav-link.active {
    background-color: #CFE2FF !important;
    border-bottom: 0px solid #ff6a00;
    border-top: 0px solid #ff6a00;
    border-radius: 0px 0px 6px 6px;
}

.nav-link {
    color: #ffffff !important;
}

.card {
    border-radius: 16px !important;
}

.custom-tabs .nav-link {
    border-radius: 8px;
    padding: 8px 18px;
    font-weight: 500;
}

    .custom-tabs .nav-link.active {
        background: #e7f0ff;
        color: #0d6efd;
    }

.datos-card {
    max-width: 520px;
    border-radius: 20px;
    background: #fff;
    box-shadow: 0 10px 25px rgba(0,0,0,.2);
}



/*Dasboard inicio*/






.stat-card {
    border-radius: 16px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.12);
    min-height: 180px;
    max-height: 230px;
}

.text-cards {
    color: #FFF;
    text-align: center;
    font-family: "Segoe UI";
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

.icon-box {
    width: 23%;
    height: 71px;
    background: rgba(255,255,255,0.25);
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
}

.bg-red {
    border-radius: 16px;
    background: linear-gradient( 101deg, rgba(189, 10, 14, 0.60), rgba(138, 7, 10, 0.60), rgba(87, 5, 6, 0.60) ) !important;
    box-shadow: 0 8px 12px 6px rgba(0, 0, 0, 0.15);
}

.bg-blue {
    border-radius: 16px;
    background: linear-gradient( 101deg, rgba(0, 121, 194, 0.60), rgba(0, 78, 30, 0.55), rgba(0, 78, 145, 0.60) ) !important;
    box-shadow: 0 8px 12px 6px rgba(0, 0, 0, 0.15);
}

.bg-orange {
    border-radius: 16px;
    background: linear-gradient( 101deg, rgba(121, 120, 125, 0.65), rgba(255, 76, 23, 0.65) ) !important;
    box-shadow: 0 8px 12px 6px rgba(0, 0, 0, 0.15);
}

.section-card {
    border-radius: 16px;
    border: 1px solid #898989;
    background: rgba(2, 96, 169, 0.20) !important;
    min-height: 260px;
}


/* Responsive */
@media (max-width: 768px) {

    .dx-toolbar.dx-widget.dx-visibility-change-handler.dx-collection.dx-popup-title {
        left: 22%;
    }

    .dx-popup-title.dx-toolbar {
        left: 37%;
    }

    .dx-popup-wrapper > .dx-overlay-content {
        width: 100% !important;
    }


    .card-body {
        padding: 2rem 1.5rem !important;
    }

    .btn-uniform {
        width: 100% !important;
    }



    .back-resp {
        background-image: url('/Images/Tablet.png') !important;
        background-size: inherit !important;
        background-position: top !important;
        background-repeat: no-repeat;
    }

    .container-panel {
        padding-bottom: 1px !important;
    }

    .search-bar {
        padding-right: 0px !important;
    }

    .btn-buscar-responsive {
        width: 100%;
    }
}

/*Menu horizontal*/

.btn {
    border: none !important;
}

.navbar-collapse {
    border-radius: 15px;
    background: linear-gradient(180deg, #004870 0%, #407DA6 100%) !important;
    position: absolute;
    top: 2%;
    left: 3%;
    width: 94%;
    max-height: none !important;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #0d6efd;
    background-color: #ffffff !important;
    color: #003b5c !important;
    border-top: 3px solid #ff6a00;
    border-bottom: 3px solid #ff6a00;
}

.submenu-toggle {
    display: flex;
    justify-content: start !important;
    align-items: center;
}

.submenu-link {
    padding: 20px 20px !important;
}

.sidebar-nav .nav-link {
    padding: 14px 10px !important;
}

.nav-text-with-arrow {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center; /* centra el texto */
    align-items: center;
    max-width: 120px; /* ajusta según tu sidebar */
}




/* BACKDROP TIPO MODAL */
.sidebar-backdrop {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.55);
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s ease;
    z-index: 1040;
}

/* CONTENEDOR SIDEBAR */
#sidebarWrapper {
    position: fixed;
    inset: 0 auto 0 0;
    width: 100%;
    z-index: 1050;
    pointer-events: none;
}
    /* BACKDROP con pseudo-elemento */
    #sidebarWrapper::before {
        content: "";
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.55);
        opacity: 0;
        transition: opacity 0.3s ease;
        z-index: 1040;
    }

/* SIDEBAR */
#mainNavbar {
    position: relative;
    background: #0d6efd;
    transform: translateX(-100%);
    transition: transform 0.35s ease-out;
    z-index: 1050;
}

    /* CUANDO BOOTSTRAP AGREGA .show */
    #mainNavbar.show {
        transform: translateX(0);
        pointer-events: auto;
    }

        /* ACTIVAR BACKDROP */
        #mainNavbar.show::before {
            opacity: 1;
        }

        /* BACKDROP ACTIVO CUANDO SHOW */
        #mainNavbar.show ~ * {
            pointer-events: auto;
        }

        /* ACTIVA BACKDROP */
        #mainNavbar.show + #sidebarWrapper::before,
        #sidebarWrapper:has(#mainNavbar.show)::before {
            opacity: 1;
        }

/* Scroll interno sin mostrar barra */

.navbar-collapse {
    max-height: 100vh;
    overflow-y: auto;
    overflow-x: auto; /* Permite scroll horizontal en tablets */
}

#sidebarWrapper {
    height: 100vh; /* Altura de toda la pantalla */
    display: flex;
    flex-direction: column;
}

#mainNavbar {
    /* Permite que el contenido crezca y genere scroll si supera el alto */
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: thin; /* Para Firefox: barra más delgada */
}

    /* Opcional: Estilizar la barra de scroll para que se vea mejor (Chrome, Safari, Edge) */
    #mainNavbar::-webkit-scrollbar {
        width: 6px;
    }

    #mainNavbar::-webkit-scrollbar-thumb {
        background-color: rgba(255, 255, 255, 0.2);
        border-radius: 10px;
    }


/*Busqueda de Pacientes*/

.dx-scrollbar-horizontal.dx-scrollbar-hoverable .dx-scrollable-scroll.dx-state-invisible .dx-scrollable-scroll-content {
    background: #83b1bd !important;
}

.dx-scrollbar-horizontal.dx-scrollbar-hoverable .dx-scrollable-scroll.dx-state-invisible {
    background: #83b1bd !important;
}



.dx-datagrid .dx-column-lines > td {
    border-left: none !important;
    border-bottom: 1px solid #ddd !important;
    border-right: none !important;
}

.dx-datagrid-headers {
    color: black !important;
    font-weight: bold !important;
}


    .dx-datagrid-headers .dx-datagrid-table .dx-row > td {
        border-bottom: none !important;
    }

.dx-link-eyeopen {
    color: #FF5722 !important; /* Color naranja */
    font-size: 18px;
}

/*  globo Tooltip */
.tooltip-turquesa .tooltip-inner {
    background-color: #75a5af !important;
    color: #ffffffff;
    font-weight: 500;
    font-style: italic;
    width: 290px;
}

/*  flecha Tooltip */
.tooltip-turquesa .tooltip-arrow::before {
    border-right-color: #75a5af !important;
}

span:hover svg path {
    fill: #0d6efd;
}

.search-bar {
    padding-right: 20px;
}


.title-panel {
    color: #000;
    font-family: var(--font-family-Font-1, "Segoe UI");
    font-size: var(--font-size-24, 24px);
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    border-left: 5px solid #0079C2;
}

.btn-search {
    border-radius: 0 4px 4px 0;
    background: #004870;
    box-shadow: 0 4px 9px -4px #3B71CA;
    display: flex;
    padding: 10px 24px 8px 24px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
}

    .btn-search:hover {
        background-color: #003b5c !important;
        color: white !important;
    }

.btn:hover {
    color: white !important;
}

.btn-primary {
    border-radius: 4px !important;
    border: 1px solid rgba(255, 255, 254, 0.00) !important;
    background: #0079C2 !important;
}

.btn-eliminar-todo {
    display: flex;
    padding: 5.6px 7.8px 6.4px 7.8px;
    justify-content: center;
    align-items: center;
    gap: 4px;
    align-self: stretch;
    border-radius: 4px;
    border: 1px solid #E5484D;
    color: #C62A2F;
    text-align: center;
    font-family: "Segoe UI";
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px; /* 114.286% */
    background: white;
}

.dropdown-toggle::after {
    border-top: none !important;
    border-right: none !important;
    border-bottom: none !important;
    border-left: none !important;
}

.btn-addfilter {
    border-radius: 4px;
    border: 1px solid #0260A9;
    background: var(--color-white-solid, #FFF);
    display: flex;
    height: 32px;
    padding: 0.8px 11.8px;
    justify-content: center;
    align-items: center;
    gap: 4px;
    color: #0260A9;
    text-align: center;
    font-family: "Segoe UI";
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px; /* 114.286% */
}

.btn-filter {
    border-radius: 4px;
    border: 1px solid gray;
    background: white;
    font-weight: normal;
    font-size: 14px;
    width: 100px
}

.btn-uniform {
    height: 36px;
    display: flex;
    align-items: center;
}

.dx-dropdowneditor-input-wrapper {
    border-radius: 6px;
}

.card {
    border-radius: 10px;
}

button:hover {
    border: 1px solid #004870;
}


.footer-2026 {
    background: rgba(231, 235, 246, 0.50);
    color: #959595;
}



@media (min-width: 360px) and (max-width: 414px) and (orientation: landscape) {
    .back-resp {
        background-image: url('/Images/Tablet.png') !important;
        background-size: cover !important; /* Se estira hasta abajo */
        background-position: center !important;
        background-repeat: no-repeat !important;
        min-height: 100vh !important; /* OBLIGA a que cubra toda la pantalla */
    }
}

/* SOLO móviles en horizontal */
@media (max-width: 991px) and (orientation: landscape) {

    .back-resp {
        /* Toda la pantalla */
        display: flex;
        align-items: flex-end !important; /* Mueve todo al fondo */
    }

        .back-resp .container-fluid {
            height: 100%;
            display: flex;
            margin-left: 47%;
        }

        .back-resp .row {
            height: 100%;
            display: flex;
            align-items: flex-end !important; /* Asegura que el card vaya abajo */
            justify-content: flex-end !important;
        }

    .login-card {
        width: 50vw !important; /* Mitad de la pantalla */
        margin-bottom: 0 !important; /* Sin espacio abajo */
    }

    .btn-filter {
        height: 41px !important;
        width: 76px !important;
    }
}
